Loading...
Searching...
No Matches
openvdb::v11_0::string Namespace Reference

## Functions

template<typename ContainerT>
void | split (ContainerT &out, const std::string &in, const char delim)
template<typename ContainerT>
void | split (ContainerT &out, const std::string &in, const std::set< char > &delims)
bool | starts_with (const std::string &in, const std::string &start)
bool | ends_with (const std::string &in, const std::string &end)
void | trim (std::string &s)
void | to_lower (std::string &s)

## Function Documentation

## ends_with()

bool ends_with | ( | const std::string & | in,
|  | const std::string & | end )

inline

## split() [1/2]

template<typename ContainerT>

void split | ( | ContainerT & | out,
|  | const std::string & | in,
|  | const char | delim )

inline

## split() [2/2]

template<typename ContainerT>

void split | ( | ContainerT & | out,
|  | const std::string & | in,
|  | const std::set< char > & | delims )

inline

## starts_with()

bool starts_with | ( | const std::string & | in,
|  | const std::string & | start )

inline

## to_lower()

void to_lower | ( | std::string & | s | ) |

inline

## trim()

void trim | ( | std::string & | s | ) |

inline